Convert Clipper S87 to Clipper 5.3 
Author Message
 Convert Clipper S87 to Clipper 5.3

Hello All,
We are currently using Clipper S87 with the Get-It and Funcky libraries and
would like to convert to Clipper 5.3. Do anyone have any idea whether it is
a matter of just purchasing Clipper 5.3 and recompiling the Clipper S87 code
or will major code changes need to be made.

I would appreciate any feedback. Thanks in advance !



Mon, 29 Aug 2005 04:45:35 GMT  
 Convert Clipper S87 to Clipper 5.3
should work with re compile


Quote:
> Hello All,
> We are currently using Clipper S87 with the Get-It and Funcky libraries
and
> would like to convert to Clipper 5.3. Do anyone have any idea whether it
is
> a matter of just purchasing Clipper 5.3 and recompiling the Clipper S87
code
> or will major code changes need to be made.

> I would appreciate any feedback. Thanks in advance !



Mon, 29 Aug 2005 07:37:17 GMT  
 Convert Clipper S87 to Clipper 5.3

Quote:

>Hello All,
>We are currently using Clipper S87 with the Get-It and Funcky libraries and
>would like to convert to Clipper 5.3. Do anyone have any idea whether it is
>a matter of just purchasing Clipper 5.3 and recompiling the Clipper S87 code
>or will major code changes need to be made.

>I would appreciate any feedback. Thanks in advance !

Hello Emel,

I have to disagree with David's reply. Whilst the level of complexity
is not great in going from a S87 "Get-It"-based nested get application
to using 5.3, you will probably have to do a lot of recoding
nevertheless to replace the Get-It functions. I have just finished a
couple of these recently. As for the Funcky changes, these should be
seemless providing that you have a 5.3-compatible version of the
product.

Regards,

Ross McKenzie
ValuSoft
Melbourne Australia



Mon, 29 Aug 2005 09:49:11 GMT  
 Convert Clipper S87 to Clipper 5.3
hi,

you have to upgrade your S87 3party Lib, like Funcky to Cl*pper v5.x Version
if you want to use the Protect Mode with Exospace, which is include v5.3x,
be
shure all your 3party Libs can use Protect Mode. The Blinker include v5.3x
is
for Real Mode only.

Your S87 Source shoud work under v5.3x whichout changes, but than you
have not much from the benefit of v5.3x.

Perhaps you shoud think about other Compiler, which can handle S87 as well,
like Xbase++. the Time to figure out v5.3x benefit will be about the same to
port S87 into Xbase++ Hybrid Mode as a 32Bit Application ... next step can
be a Full GUI Product.

greetings by OHR
Jimmy



Mon, 29 Aug 2005 10:04:26 GMT  
 Convert Clipper S87 to Clipper 5.3
Very easy.

In the code, you must change UPDATE() TO READUPDATE().

You must change linker (I advice you Blinker). Then you must file to
link your program.

Regards

Alvaro



Mon, 29 Aug 2005 13:22:40 GMT  
 
 [ 5 post ] 

 Relevant Pages 

1. Upgrade to Clipper 5.3 from S87

2. Converting FoxPro 2.6 to Clipper 5.3

3. Convert clipper 5.3 to Windows 95/NT

4. clipper tools Clipper 5.3

5. Clipper and Visual Objects - Porting from Clipper 5.3

6. clipper 5.2e -vs- clipper 5.3

7. Clipper 5.01a->Clipper 5.2 or 5.3

8. reindex in clipper 5.2 & clipper 5.3

9. Clipper Expert (S'87 - Clipper 5.3) needed in Atlanta area

10. Clipper Tools 3.0 and Clipper 5.3

11. Clipper 5.3 and Clipper Tools

 

 
Powered by phpBB® Forum Software